Bug 228239 - Incorrect NPE warning
Incorrect NPE warning
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
7.3
PC Linux
: P3 (vote)
: 7.3.1
Assigned To: Jan Lahoda
issues@java
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-04 09:28 UTC by Jan Lahoda
Modified: 2013-05-09 15:01 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2013-04-04 09:28:00 UTC
class Test {
    private static void t(@NonNull Data d) {
        if (d.a == null) { //incorrect warning here
            System.err.println("null");
        }
        t(new Data(null));
    }
    @interface NonNull {}
    public static class Data {
        public final String a;
        public Data(String a) {
            this.a = a;
        }
    }
}
Comment 1 Quality Engineering 2013-04-18 02:21:55 UTC
Integrated into 'main-golden', will be available in build *201304172301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f583e038f0d0
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #228239: more correct handling of member selects.
Comment 2 Jiri Prox 2013-04-24 13:08:43 UTC
verified in trunk

btw. This should be marked as fixed, shouldn't it?
Comment 3 Jiri Prox 2013-05-02 12:20:29 UTC
v.
Comment 4 Jan Lahoda 2013-05-03 07:33:22 UTC
release73:
http://hg.netbeans.org/releases/rev/42989fa57e34
Comment 5 Quality Engineering 2013-05-05 00:26:04 UTC
Integrated into 'releases', will be available in build *201305042200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/42989fa57e34
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #228239: more correct handling of member selects.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo